org.wildfly.swarm.config.modcluster.mod_cluster_config.dynamic_load_provider

## Enum LoadMetric.Type

- java.lang.Object
- - java.lang.Enum<LoadMetric.Type>
  - - org.wildfly.swarm.config.modcluster.mod_cluster_config.dynamic_load_provider.LoadMetric.Type

- All Implemented Interfaces:
    Serializable, Comparable<LoadMetric.Type>
  Enclosing class:
    LoadMetric<T extends LoadMetric<T>>

      public static enum LoadMetric.Type
      extends Enum<LoadMetric.Type>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `BUSYNESS`
    `CPU`
    `HEAP`
    `MEM`
    `RECEIVE_TRAFFIC`
    `REQUESTS`
    `SEND_TRAFFIC`
    `SESSIONS`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getAllowedValue()` Returns the allowed value for the management model.
    `String` | `toString()`
    `static LoadMetric.Type` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static LoadMetric.Type[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `compareTo, equals, getDeclaringClass, hashCode, name, ordinal, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### CPU

          public static final LoadMetric.Type CPU

    - #### MEM

          public static final LoadMetric.Type MEM

    - #### HEAP

          public static final LoadMetric.Type HEAP

    - #### SESSIONS

          public static final LoadMetric.Type SESSIONS

    - #### RECEIVE_TRAFFIC

          public static final LoadMetric.Type RECEIVE_TRAFFIC

    - #### SEND_TRAFFIC

          public static final LoadMetric.Type SEND_TRAFFIC

    - #### REQUESTS

          public static final LoadMetric.Type REQUESTS

    - #### BUSYNESS

          public static final LoadMetric.Type BUSYNESS

  - ### Method Detail

    - #### values

          public static LoadMetric.Type[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (LoadMetric.Type c : LoadMetric.Type.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static LoadMetric.Type valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### getAllowedValue

          public String getAllowedValue()

      Returns the allowed value for the management model.
      Returns:
        the allowed model value

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Enum<LoadMetric.Type>`

Copyright © 2017 JBoss by Red Hat. All rights reserved.